Catmandu::Fix::mapping(3pm)

NAME
Catmandu::Fix::mapping - move several fields by a lookup table

SYNOPSIS
    # field_mapping.csv
    # AU,author
    # TI,title
    # PU,publisher
    # Y,year

    # fields found in the field_mapping.csv will be replaced
    # {AU => "Einstein"}
    mapping(field_mapping.csv)
    # {author => "Einstein"}

    # fields found in the field_mapping.csv with keep option will be copied
    # {AU => "Einstein"}
    mapping(field_mapping.csv, keep: 1)
    # {AU => => "Einstein", author => "Einstein"}

    # values not found will be kept
    # {foo => {bar => 232}}
    mapping(field_mapping.csv)
    # {foo => {bar => 232}}

    # in case you have a different seperator
    mapping(field_mapping.csv, sep_char: |)

SEE ALSO
Catmandu::Fix, Catmandu::Fix::lookup